task GVCFtyper_chr8 {
	
    File ref_dir
	String SENTIEON_INSTALL_DIR
	String fasta
	String gvcf_dir
	String project
	String docker
	String cluster_config
	String disk_size

command <<<
		set -o pipefail
		set -e
		export SENTIEON_LICENSE=192.168.0.55:8990
		nt=$(nproc)
		mkdir -p /cromwell_root/tmp
		cp -r ${gvcf_dir} /cromwell_root/tmp/
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver -r ${ref_dir}/${fasta} --algo GVCFtyper ${project}.joint.g.vcf /cromwell_root/tmp/*.chr8.vcf
	>>>
	
	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File gvcf = "${project}.chr8.joint.g.vcf"
		File gvcf_idx = "${project}.chr8.joint.g.vcf.idx"
	}
}
