import "./tasks/gVCF_chromo_split.wdl" as gVCF_chromo_split
import "./tasks/GVCFtyper_chr3.wdl" as GVCFtyper_chr3
import "./tasks/GVCFtyper_chr4.wdl" as GVCFtyper_chr4
import "./tasks/GVCFtyper_chr7.wdl" as GVCFtyper_chr7
import "./tasks/GVCFtyper_chr8.wdl" as GVCFtyper_chr8
import "./tasks/GVCFtyper_chrX.wdl" as GVCFtyper_chrX

workflow {{ project_name }} {

	String gvcf_dir
	String SENTIEON_INSTALL_DIR
	String docker
	String project
	String fasta
	File ref_dir
	String disk_size
	String cluster_config


	call GVCFtyper_chr3.GVCFtyper_chr3 as GVCFtyper_chr3 {
		input:
		ref_dir=ref_dir,
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		fasta=fasta,
		gvcf_dir=gvcf_dir,
		project=project,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
	call GVCFtyper_chr4.GVCFtyper_chr4 as GVCFtyper_chr4 {
		input:
		ref_dir=ref_dir,
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		fasta=fasta,
		gvcf_dir=gvcf_dir,
		project=project,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
	call GVCFtyper_chr7.GVCFtyper_chr7 as GVCFtyper_chr7 {
		input:
		ref_dir=ref_dir,
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		fasta=fasta,
		gvcf_dir=gvcf_dir,
		project=project,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
	call GVCFtyper_chr8.GVCFtyper_chr8 as GVCFtyper_chr8 {
		input:
		ref_dir=ref_dir,
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		fasta=fasta,
		gvcf_dir=gvcf_dir,
		project=project,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
	call GVCFtyper_chrX.GVCFtyper_chrX as GVCFtyper_chrX {
		input:
		ref_dir=ref_dir,
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		fasta=fasta,
		gvcf_dir=gvcf_dir,
		project=project,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
}